Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
backlinks
/
timeseries_new_lost_summary
/
live
New & Lost Backlinks Timeseries Summary
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/backlinks/timeseries_new_lost_summary/live \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "target": "<string>",
  "date_from": "<string>",
  "date_to": "<string>",
  "group_range": "<string>",
  "include_subdomains": true,
  "tag": "<string>"
}
'
{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "tasks.result": [
    "<string>"
  ],
  "tasks.result.target": "<string>",
  "tasks.result.date_from": "<string>",
  "tasks.result.date_to": "<string>",
  "tasks.result.group_range": "<string>",
  "tasks.result.total_count": 123,
  "tasks.result.items_count": 123,
  "tasks.result.items": [
    "<string>"
  ],
  "tasks.result.items.type": "<string>",
  "tasks.result.items.date": "<string>",
  "tasks.result.items.new_backlinks": 123,
  "tasks.result.items.lost_backlinks": 123,
  "tasks.result.items.new_referring_domains": 123,
  "tasks.result.items.lost_referring_domains": 123,
  "tasks.result.items.new_referring_main_domains": 123,
  "tasks.result.items.lost_referring_main_domains": 123
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
target
string
required

domain to get data for required field a domain should be specified without https:// and www. example: "forbes.com"

date_from
string

starting date of the time range optional field this field indicates the date which will be used as a threshold for new and lost backlinks and referring domains; the backlinks and referring domains that appeared in our index after the specified date will be considered as new; the backlinks and referring domains that weren’t found after the specified date, but were present before, will be considered as lost; minimum value: 2019-01-30 maximum value shouldn’t exceed the date specified in the date_to date format: "yyyy-mm-dd" example: "2021-01-01"

date_to
string

ending date of the time range optional field if you don’t specify this field, the today’s date will be used by default minimum value shouldn’t preceed the date specified in the date_from maximum value: today’s date date format: "yyyy-mm-dd" example: "2021-01-15"

group_range
string

time range which will be used to group the results optional field default value: month possible values: day, week, month, year note: for day, we will return items corresponding to all dates between and including date_from and date_to; for week/month/year, we will return items corresponding to full weeks/months/years, where each item will indicate the last day of the week/month/year for example, if you specify: "group_range": "month", "date_from": "2022-03-23", "date_to": "2022-05-13" we will return items falling between 2022-03-01 and 2022-05-31, namely, three items corresponding to the following dates: 2022-03-31, 2022-04-30, 2022-05-31 if there is no data for a certain day/week/month/year, we will return 0

include_subdomains
boolean

indicates if the subdomains of the target will be included in the search optional field if set to false, the subdomains will be ignored default value: true

tag
string

user-defined task identifier optional field the character limit is 255 you can use this parameter to identify the task and match it with the result you will find the specified tag value in the data object of the response

Response

Successful response

version
string

the current version of the API

status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_message
string

general informational message you can find the full list of general informational messages here

time
string

execution time, seconds

cost
number

total tasks cost, USD

tasks_count
integer

the number of tasks in the tasks array

tasks_error
integer

the number of tasks in the tasks array returned with an error

tasks
string[]

array of tasks

tasks.id
string

task identifier unique task identifier in our system in the UUID format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of the response codes here

tasks.status_message
string

informational message of the task you can find the full list of general informational messages here

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
object

contains the same parameters that you specified in the POST request

tasks.result
string[]

array of results

tasks.result.target
string

target from a POST array

tasks.result.date_from
string

starting date of the time range in the UTC format: “yyyy-mm-dd” example: 2019-01-01

tasks.result.date_to
string

ending date of the time range in the UTC format: "yyyy-mm-dd" example: "2019-01-15"

tasks.result.group_range
string

group_range from the POST array

tasks.result.total_count
integer

total amount of results relevant the request

tasks.result.items_count
integer

the number of results returned in the items array

tasks.result.items
string[]

contains relevant backlinks and referring domains data

tasks.result.items.type
string

type of element = ‘backlinks_timeseries_new_lost_summary’

tasks.result.items.date
string

date and time when the data for the target was stored in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2019-11-15 12:57:46 +00:00

number of new backlinks number of new backlinks pointing to the target

number of lost backlinks number of lost backlinks of the target

tasks.result.items.new_referring_domains
integer

number of new referring domains number of new referring domains pointing to the target

tasks.result.items.lost_referring_domains
integer

number of lost referring domains number of lost referring domains of the target

tasks.result.items.new_referring_main_domains
integer

number of new referring main domains number of new referring main domains pointing to the target

tasks.result.items.lost_referring_main_domains
integer

number of lost referring main domains number of lost referring main domains of the target